## org.apache.cassandra.db.commitlog
Interface ICommitLogExecutorService

All Superinterfaces:
  IExecutorMBean

All Known Implementing Classes:
  AbstractCommitLogExecutorService

    public interface ICommitLogExecutorService

extends IExecutorMBean

Like ExecutorService, but customized for batch and periodic commitlog execution.

Method Summary
`void` `add(org.apache.cassandra.db.commitlog.CommitLog.LogRecordAdder adder)` submits the adder for execution and blocks for it to be synced, if necessary

`

`<T> java.util.concurrent.Future<T>`

`

`submit(java.util.concurrent.Callable<T> task)`

Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean
`getActiveCount, getCompletedTasks, getPendingTasks`

Method Detail

### submit

    <T> java.util.concurrent.Future<T> submit(java.util.concurrent.Callable<T> task)

### add

    void add(org.apache.cassandra.db.commitlog.CommitLog.LogRecordAdder adder)

  submits the adder for execution and blocks for it to be synced, if necessary

Copyright © 2010 The Apache Software Foundation